#!/usr/bin/env python

import gtk, gtk.glade

# We put all of our gtk signal handlers into a class.  This lets us bind
# all of them at once, because their names are in the class dict.
class GladeHandlers:
    def on_bn_quit_clicked(event):
        gtk.main_quit()
    def on_bn_execute_clicked(event):
        widgets['label1'].set_text("spam, spam, spam")
        print gtk.screen_width(), gtk.screen_height()

class WidgetsWrapper:
    def __init__(self):
        self.widgets = gtk.glade.XML ('pyglade2.glade', "window1")
        self.widgets.signal_autoconnect(GladeHandlers.__dict__)
    # Gives us the ability to do: widgets['widget_name'].action()
    def __getitem__(self, key):
        return self.widgets.get_widget(key)

widgets = WidgetsWrapper()

gtk.main()
