#!/usr/bin/env python
# aldo don't make this any bigger!!
# goto [sources:prefs.py prefs.py] and code there

import sys, string
from xml.sax import parse
from xml.sax.handler import ContentHandler

class ParsePreferences(ContentHandler):
	in_conf_file = False
	in_repo_list = False

	def __init__ (self, prefs, repos):
		self.prefs = prefs
		self.repos = repos
		self.data = []
		
	def startElement(self, name, attrs):
		if name == "winedoors":
			self.in_conf_file = True
			if name == "repositories" and self.in_conf_file:
				self.in_repo_list = True
				if name == "repo" and self.in_repo_list:
					self.repos.append(attrs.get('uri', None))
						
		
					
	def characters (self, string):
		if self.in_conf_file and self.in_repo_list:
			self.repo.append(string)
		elif self.in_conf_file:
			self.prefs.append(string)
				
				
	def endElement(self, name):
		if name == "winedoors":
			self.in_conf_file = False
			if name == "repositories":
				self.in_repo_list = False
				
			
	def error(self, exception):
			sys.stderr.write("* %s\n" % exception)
		
if __name__ == "__main__":
	#Test it out .... ./parser.py < config.xml
	import sys
	from xml.sax import parse
	from xml.sax import make_parser
	from xml.sax.handler import ContentHandler
	
	preferences = []
	repositories = []
	
	#Create an instance of the handler
	handler = ParsePreferences(preferences, repositories)
	
	#Create an instance of the parser
	parser = make_parser()
	
	#Set the document handler
	parser.setContentHandler(handler)
	
	# Start the parse ... for the moment parse stdin
	parser.parse(sys.stdin)
	
	#Print some results
	print preferences
	print repositories
		
		
		
	
	
	
				
